﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[HierarchyWord]') AND name = N'IX_NC_Numb')
BEGIN 
PRINT 'Creating index IX_NC_Numb on table HierarchyWord'
CREATE NONCLUSTERED INDEX [IX_NC_Numb] ON [dbo].[HierarchyWord] 
(
	[NUMB] ASC
)
INCLUDE ( [GROU],
[SGRP],
[STYL]) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[HierarchyWord]') AND name = N'IX_NumbGrou')
BEGIN 
PRINT 'Creating index IX_NumbGrou on table HierarchyWord'
CREATE NONCLUSTERED INDEX [IX_NumbGrou] ON [dbo].[HierarchyWord] 
(
	[NUMB] ASC,
	[GROU] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[HierarchyWord]') AND name = N'IX_NumbGrouSgrp')
BEGIN 
PRINT 'Creating index IX_NumbGrouSgrp on table HierarchyWord'
CREATE NONCLUSTERED INDEX [IX_NumbGrouSgrp] ON [dbo].[HierarchyWord] 
(
	[NUMB] ASC,
	[GROU] ASC,
	[SGRP] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[HierarchyWord]') AND name = N'IX_NumbGrouSgrpStyl')
BEGIN 
PRINT 'Creating index IX_NumbGrouSgrpStyl on table HierarchyWord'
CREATE NONCLUSTERED INDEX [IX_NumbGrouSgrpStyl] ON [dbo].[HierarchyWord] 
(
	[NUMB] ASC,
	[GROU] ASC,
	[SGRP] ASC,
	[STYL] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[HierarchyWord]') AND name = N'IX_Word')
BEGIN 
PRINT 'Creating index IX_Word on table HierarchyWord'
CREATE CLUSTERED INDEX [IX_Word] ON [dbo].[HierarchyWord] 
(
	[Word] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

